//uniform sampler2D texture0;
uniform vec3 lightPos;
uniform vec3 ka;
uniform vec3 kd;
uniform vec3 ks;
uniform float s;

//varying vec2 fragTexCoords0;
varying vec3 color; // passed from the vertex shader
varying vec3 normal;
varying vec3 fragLoc;

void main()
{
   vec3 n = normalize(normal);
   vec3 l = normalize(lightPos - fragLoc);
   float ln = dot(l, n);
   float m = max(0.0, ln);

   //vec3 kd = m * texture2D(texture0, fragTexCoords0).rgb;
   vec3 cd = m * kd;


   vec3 h = normalize(l - normalize(fragLoc));
   float hn = dot(h, n);
   m = max(hn, 0.0);
   float power = pow(m, s);
   vec3 cs = power * ks;

   vec3 color = cd + ka + cs;

   gl_FragColor = vec4(color , 1.0);
}
